Subject: Re: bug#5744: 23.1.92; doc string of `version<' etc.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Mar 2010 20:01:05 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Sat, 20 Mar 2010 22:18:01 -0700
> 
> It's not the names that are as important as communicating what they stand for.

The best terminology is the one that doesn't need explaining, because
it speaks for itself.

> I, for instance, don't yet know what exactly is meant. Why the date of 4.3.4
> might be later than 4.4.1, even though the latter is "newer".

If the 4.3 branch and the 4.4 branch are developed in parallel in some
project, the chronological order between releases from the two
branches is unpredictable.

> Try explaining it (the concepts) first, in simple terms. Then the words (good
> names) will come.

These functions compare version strings in their numerical order, with
some heuristics sprinkled on top.  It's not easy to explain that in
simple words, especially since the heuristics can be customized.

Finding words that explain themselves will go a long way towards
resolving this difficulty.